<?php
add_action('swretail_event_update_external_stock', 'swretail_update_external_stock');
function swretail_update_external_stock(){
    m2m_sw_slack('External stock cronjob');

    $handle = false;
    $csv_arr = []; 
    global $wpdb,$swretail_options,$swretail_addons;
    
    if(!empty($swretail_addons['external_stock']['url'])){

        if(isset($swretail_addons['external_stock']['type']) && $swretail_addons['external_stock']['type'] == 'xml'){
        
            $url = $swretail_addons['external_stock']['url'];
            $xml = simplexml_load_file($url);
            
            if($swretail_addons['external_stock']['xml_path_to_product']){
                $xmlPathToProduct = explode('>',$swretail_addons['external_stock']['xml_path_to_product']);
                foreach($xmlPathToProduct as $path){
                    $xml = $xml->$path;
                }
            }
    
            $count = 0;
            foreach($xml as $key => $value){
                $csv_arr[] = (array)$value;
                $count++;
            }
    
            $handle = true;
        
        }else{
            $handle = fopen($swretail_addons['external_stock']['url'], "r");
        
            $count = 0;
            if ($handle !== FALSE) {
                while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
                    $csv_arr[] = $data;
                    $count++;
                }
            }
        }
    } 

    m2m_sw_slack(count($csv_arr));

    $prods_need_update = [];

    foreach($csv_arr as $key => $data){

        $meta = $wpdb->get_row("SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '".$swretail_addons['external_stock']['woocommerce_pid_metafield']."' AND meta_value = '".$data[$swretail_addons['external_stock']['csv_pid_column']]. "'");
        if(!is_null($meta)){
            if(isset($meta->post_id) && $meta->post_id != 0){
                $prod_id = $meta->post_id;
    
                if( get_post_meta($prod_id,'_sw_external_stock',true) != $data[$swretail_addons['external_stock']['csv_stock_column']] ){
                    update_post_meta($prod_id,'_sw_external_stock',intVal($data[$swretail_addons['external_stock']['csv_stock_column']]));
                    $prods_need_update[] = get_post_meta($prod_id,'_sw_article_id',true);
                    
                }            
                update_post_meta($prod_id,'_sw_external_stock_updated',current_time('timestamp'));
            }
        }
    
    }

    // Trigger SW-Retail update
    if(!empty($prods_need_update)){
        $prods_need_update_chunked = array_chunk($prods_need_update, 10);
        foreach($prods_need_update_chunked as $key => $chunk){
            wp_schedule_single_event( time() + (5*60 * ($key+1)), 'swretail_event_process_changes', [implode(',', $chunk)]);
            m2m_sw_slack( implode(',',$chunk) );
        }
    }

}