<p><?php echo str_replace('swretail@mull2media.nl','<a href="mailto:swretail@mull2media.nl">swretail@mull2media.nl</a>',__('Please send an email to swretail@mull2media.nl when you want to use the premium/paid addons.','swretail')); ?></p>
<hr />
<?php

$swretail_addons = get_option('swretail_addons',array());

$available_addons = array(
    'syncbybarcodes' => array(
        'title' => __('Sync by barcode', 'swretail'),
        'description' => __('Synchronise products based on barcodes (SW Retail) and SKU (WooCommerce).', 'swretail'),
        'price' => 0,
    ),
    'auto_sale_cat' => array(
        'title' => __('Auto SALE-category', 'swretail'),
        'description' => __('Adds all products with a SALE price in SW-Retail to a chosen WooCommerce category.', 'swretail'),
        'price' => 2.95,
        'show_new_label' => '12-08-2024',
    ),
    'combine_attributes' => array(
        'title' => __('Combine attributes', 'swretail'),
        'description' => __('Makes is possible to combine attributes to clean up your filters!', 'swretail'),
        'price' => 4.95,
        'show_new_label' => '20-05-2024',
    ),
    'deposit' => array(
        'title' => __('Deposit prices', 'swretail'),
        'description' => __('Enable the use of deposit prices.', 'swretail'),
        'price' => 10.95,
    ),
    'wwpp_wholesale' => array(
        'title' => __('Wholesale Suite - Wholesale Pricing', 'swretail'),
        'description' => __('Activate collaberation with Wholesale Suite for synchronising B2B-prices.', 'swretail'),
        'info_url' => 'https://wholesalesuiteplugin.com/',
        'price' => 0,
    ),
    'wc_product_bundles' => array(
        'title' => __('WooCommerce Product Bundles', 'swretail'),
        'description' => __('Activate addon for using Product Bundles by WooCommerce.', 'swretail'),
        'info_url' => 'https://woocommerce.com/document/bundles/',
        'price' => 10.95,
    ),
    'effectconnect' => array(
        'title' => __('EffectConnect Marketplaces', 'swretail'),
        'description' => __('Activate addon for using EffectConnect Marketplaces.', 'swretail'),
        'info_url' => 'https://www.effectconnect.com/',
        'price' => 10.95,
    ),
    'external_stock' => array(
        'title' => __('External Stock Addon', 'swretail'),
        'description' => __('Add an external stock CSV/XML for expanding your SW-Retail stock. Perfect for dropshipping.', 'swretail'),
        'price' => 10.95,
        'show_new_label' => '01-11-2024',
    ),
    'currency_calculator' => array(
        'title' => __('Foreign currency calculator', 'swretail'),
        'description' => __('Calculate the product price from SW-Retail to an other currency.', 'swretail'),
        'price' => 10.95,
        'show_new_label' => '15-12-2024',
    ),
);

?>

<div id="the-list">
    <?php foreach($available_addons as $key => $addon){ ?>
        <div class="plugin-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <?php if(isset($addon['info_url'])){ echo '<a href="'.$addon['info_url'].'" target="_blank" style="text-decoration:none;">'; } ?>
                            <?php echo $addon['title']; ?>
                            <?php 
                                if(isset($addon['show_new_label'])){
                                    echo (current_time('timestamp') < strtotime($addon['show_new_label']) ? '<span class="new-label">'.__('New','swretail').'</span> ' : ''); 
                                }
                            ?>
                            <img src="<?php echo plugins_url().'/woocommerce-sw-retail/assets/images/'.$key.'.png'; ?>" class="plugin-icon" alt="<?php echo $addon['title']; ?>">
                        <?php if(isset($addon['info_url'])){ echo '</a>'; } ?>
                    </h3>
                </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li>
                            <form method="post">
                                <?php if(isset($swretail_addons[$key]['active']) && $swretail_addons[$key]['active'] == 1){ ?>
                                    <input type="submit" name="swretail_addons[<?php echo $key; ?>][deactivate]" class="install-now button button-primary" value="<?php _e('Deactivate', 'swretail'); ?>">
                                <?php }else{ ?> 
                                    <input type="submit" name="swretail_addons[<?php echo $key; ?>][activate]" class="install-now button" <?php echo ($swRetail->checkAddon($key) || $addon['price'] == 0 ? '' : 'disabled'); ?> value="<?php _e('Activate', 'swretail'); ?>">
                                <?php } ?> 
                            </form>
                        </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p><?php echo $addon['description']; ?></p>
                </div>
            </div>
            <div class="plugin-card-bottom">
                <div class="column-updated">
                    <?php if(!isset($addon['price']) || $addon['price'] == 0){ ?>
                        <strong><?php _e('Free', 'swretail'); ?></strong>
                    <?php }else{ ?>
                        <strong>+ &euro;<?php echo str_replace(',','.',$addon['price']); ?> <?php _e('per month.', 'swretail'); ?></strong>
                    <?php } ?>
                </div>
            </div>
        </div>
    <?php } ?>
</div>