<?php

if(!empty($swretail_addons['currency_calculator']['fixer_api_url']) && $swretail_addons['currency_calculator']['fixer_updated'] < (current_time('timestamp')-60*60*24)){
    // set API Endpoint and API key
    $endpoint = 'latest';
    $access_key = $swretail_addons['currency_calculator']['fixer_api_url'];

    // Initialize CURL:
    $ch = curl_init('http://data.fixer.io/api/'.$endpoint.'?access_key='.$access_key.'');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Store the data:
    $json = curl_exec($ch);
    curl_close($ch);

    // Decode JSON response:
    $exchangeRates = json_decode($json, true);

    // Access the exchange rate values, e.g. GBP:
    // echo $exchangeRates['rates']['GBP'];

    // echo '<pre>';
    //     var_dump($exchangeRates);
    // echo '</pre>';

    if(isset($exchangeRates['rates'])){
        $swretail_addons['currency_calculator']['currencies'] = $exchangeRates['rates'];
        $swretail_addons['currency_calculator']['fixer_updated'] = current_time('timestamp');
        update_option('swretail_addons', $swretail_addons);
    }
}
 
if(!isset($swretail_addons['currency_calculator']['currencies']) || empty($swretail_addons['currency_calculator']['currencies'])){
    $swretail_addons['currency_calculator']['currencies'] = array('EUR' => 0,'GBP' => 0, 'USD' => 0);
}

?>
<form method="post">
    <div id="sw-general-settings" class="postbox">
        <h2 class="hndle"><?php _e('Currency calculator', 'swretail'); ?></h2>
        <div class="inside">
            <table>
                <tr>
                    <td valign="top"><label for="swretail_addons[currency_calculator][fixer_api_url]" style="display:block;margin-top:6px;"><a href="https://fixer.io/" target="_blank" title="Fixer.io"><?php _e('Fixer.io API key', 'swretail'); ?></a></label></td>
                    <td>
                        <input type="text" name="swretail_addons[currency_calculator][fixer_api_url]" id="swretail_addons[currency_calculator][fixer_api_url]" value="<?php echo $swretail_addons['currency_calculator']['fixer_api_url']; ?>" />
                        <small><?php _e('Last update', 'swretail'); ?>: <?php echo date('d-m-Y H:i:s',$swretail_addons['currency_calculator']['fixer_updated']); ?></small>
                    </td>
                </tr>
                <tr>
                    <td valign="top"><label style="display:block;margin-top:4px;"><?php _e('Currency', 'swretail'); ?></label></td>
                    <td>
                        From
                        <select name="swretail_addons[currency_calculator][currency_from]">
                            <option value="EUR">EUR</option>
                        </select>
                        in SW-Retail, to 
                        <select name="swretail_addons[currency_calculator][currency_to]">
                            <option value=""><?php _e('Make a choice', 'swretail'); ?></option>
                            <?php foreach($swretail_addons['currency_calculator']['currencies'] as $key => $value){ ?>
                                <option value="<?php echo $key; ?>" <?php echo ($swretail_addons['currency_calculator']['currency_to'] == $key ? 'selected': ''); ?>><?php echo $key; ?></option>
                            <?php } ?>

                        </select>
                        in WooCommerce.
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><hr /></td>
                </tr>
                <tr>
                    <td colspan="2">
                        Currency rate: <?php echo $swretail_addons['currency_calculator']['currencies'][$swretail_addons['currency_calculator']['currency_to']]; ?><br />
                        1 <?php echo $swretail_addons['currency_calculator']['currency_from']; ?> = <?php echo (1*$swretail_addons['currency_calculator']['currencies'][$swretail_addons['currency_calculator']['currency_to']]); ?> <?php echo $swretail_addons['currency_calculator']['currency_to']; ?>
                                <br/><br/>
                        <?php
                            // $testprice = 39.95;
                            // echo $testprice.' --> '.sw_calculate_price($testprice,21);
                        ?>
                        </td>
                </tr>
                
                <tr>
                    <td valign="top"><label style="display:block;margin-top:4px;"><?php _e('Re-calculate VAT', 'swretail'); ?></label></td>
                    <td>
                        <select name="swretail_addons[currency_calculator][recalculate_vat]">
                            <option value=""><?php _e('No, do not re-calculate.', 'swretail'); ?></option>
                            <option value="yes" <?php echo ($swretail_addons['currency_calculator']['recalculate_vat'] == 'yes' ? 'selected': ''); ?>><?php _e('Yes, recalculate VAT', 'swretail'); ?> (<?php echo reset(WC_Tax::get_rates())['rate']; ?>%)</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td valign="top"><label style="display:block;margin-top:4px;"><?php _e('Round prices', 'swretail'); ?></label></td>
                    <td>
                        <select name="swretail_addons[currency_calculator][round_prices]">
                            <option value=""><?php _e('Make a choice', 'swretail'); ?></option>
                            <option value="up_ending_5_10" disabled <?php echo ($swretail_addons['currency_calculator']['round_prices'] == 'up_whole_numbers' ? 'selected': ''); ?>><?php _e('Up to whole numbers', 'swretail'); ?></option>
                            <option value="up_ending_5_10" <?php echo ($swretail_addons['currency_calculator']['round_prices'] == 'up_ending_5_10' ? 'selected': ''); ?>><?php _e('Up ending in 5 or 10', 'swretail'); ?></option>
                        </select>
                    </td>
                </tr>
                

                <tr>
                    <td colspan="2"><hr /></td>
                </tr>
            </table>
            <input type="submit" name="sw_save_addons" class="button button-primary" value="<?php _e('Save', 'swretail'); ?>">
        </div>
    </div>
</form>