<?php
$handle = false;
$example_csv = [];
global $wpdb; 

if(isset($swretail_addons['external_stock']['type']) && $swretail_addons['external_stock']['type'] == 'xml'){

    if(!empty($swretail_addons['external_stock']['url'])){

        $url = $swretail_addons['external_stock']['url'];
        $xml = simplexml_load_file($url);
        
        if($swretail_addons['external_stock']['xml_path_to_product']){
            $xmlPathToProduct = explode('>',$swretail_addons['external_stock']['xml_path_to_product']);
            foreach($xmlPathToProduct as $path){
                $xml = $xml->$path;
            }
        }

        $count = 0;
        foreach($xml as $key => $value){
            $example_csv[] = (array)$value;
            if($count > 5){ break; }
            $count++;
        }

        $handle = true;
    }   

}else{
    if(!empty($swretail_addons['external_stock']['url'])){
        $handle = fopen($swretail_addons['external_stock']['url'], "r");
    
        $count = 0;
        if ($handle !== FALSE) {
            while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
                $example_csv[] = $data;
                
                if($count > 5){ break; }
    
                $count++;
            }
        }
    }
}
?>
 

<form method="post">
    <div id="sw-general-settings" class="postbox">
        <h2 class="hndle"><?php _e('External Stock Addon', 'swretail'); ?></h2>
        <div class="inside">
            <p><?php _e('Add an external stock CSV/XML for expanding your SW-Retail stock. Perfect for dropshipping.', 'swretail'); ?></p>
            <table>
                <tr>
                    <td valign="top"><label for="swretail_addons[external_stock][type]" style="display:block;margin-top:6px;"><?php _e('File type', 'swretail'); ?></label></td>
                    <td>
                        <select name="swretail_addons[external_stock][type]">
                            <option value="">CSV</option>
                            <option value="xml" <?php echo (isset($swretail_addons['external_stock']['type']) && $swretail_addons['external_stock']['type'] == 'xml' ? 'selected' : ''); ?>>XML</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td valign="top"><label for="swretail_addons[external_stock][url]" style="display:block;margin-top:6px;"><?php _e('External url', 'swretail'); ?></label></td>
                    <td>
                        <input type="text" name="swretail_addons[external_stock][url]" id="swretail_addons[external_stock][url]" value="<?php echo $swretail_addons['external_stock']['url']; ?>" />
                        <?php if($handle !== FALSE ){
                            ?><span class="status"><?php _e('Connected', 'swretail'); ?></span><?php
                        }else{
                            ?><span class="status error"><?php _e('Can\'t open file, check your settings.', 'swretail'); ?></span><?php
                        } ?>
                    </td>
                </tr>
                <tr>
                    <td valign="top"><label for="swretail_addons[external_stock][update_time]"><?php _e('Update time', 'swretail'); ?></label></td>
                    <td>
                        <input type="text" name="swretail_addons[external_stock][update_time]" id="swretail_addons[external_stock][update_time]" value="<?php echo (isset($swretail_addons['external_stock']['update_time']) ? $swretail_addons['external_stock']['update_time'] : '03:00'); ?>" readonly />
                    </td>
                </tr>

                <?php if(isset($swretail_addons['external_stock']['type']) && $swretail_addons['external_stock']['type'] == 'xml' && $handle !== FALSE ){ ?>

                    <tr><td colspan="2"><hr /></td></tr>

                    <tr>
                        <td><label for="swretail_addons[external_stock][xml_path_to_product]"><?php _e('XML path to product array', 'swretail'); ?> </label></td>
                        <td>
                            <input type="text" name="swretail_addons[external_stock][xml_path_to_product]" id="swretail_addons[external_stock][xml_path_to_product]" value="<?php echo $swretail_addons['external_stock']['xml_path_to_product']; ?>" />
                        </td>
                    </tr>

                <?php }
                    if($handle !== FALSE){ ?>
                    <tr><td colspan="2"><hr /></td></tr>

                    <tr>
                        <td><label for="swretail_addons[external_stock][woocommerce_pid_metafield]"><?php _e('WooCommerce PID meta_field', 'swretail'); ?> </label></td>
                        <td>
                            <input type="text" name="swretail_addons[external_stock][woocommerce_pid_metafield]" id="swretail_addons[external_stock][woocommerce_pid_metafield]" value="<?php echo $swretail_addons['external_stock']['woocommerce_pid_metafield']; ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td><label for="swretail_addons[external_stock][csv_pid_column]"><?php _e('External PID column', 'swretail'); ?> </label></td>
                        <td>
                            <select name="swretail_addons[external_stock][csv_pid_column]">
                                <option value=""><?php _e('Make a choice', 'swretail'); ?></option>
                                <?php foreach($example_csv[0] as $key => $value){ ?>
                                    <option value="<?php echo $key; ?>" <?php echo (isset($swretail_addons['external_stock']['csv_pid_column']) && $swretail_addons['external_stock']['csv_pid_column'] == $key ? 'selected' : ''); ?>><?php echo '['.$key.'] '.$value; ?>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td><label for="swretail_addons[external_stock][csv_stock_column]"><?php _e('External Stock column', 'swretail'); ?> </label></td>
                        <td>
                            <select name="swretail_addons[external_stock][csv_stock_column]">
                                <option value=""><?php _e('Make a choice', 'swretail'); ?></option>
                                <?php foreach($example_csv[0] as $key => $value){ ?>
                                    <option value="<?php echo $key; ?>" <?php echo (isset($swretail_addons['external_stock']['csv_stock_column']) && $swretail_addons['external_stock']['csv_stock_column'] == $key ? 'selected' : ''); ?>><?php echo '['.$key.'] '.$value; ?>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>


                <?php } ?>

            </table>
            <input type="submit" name="sw_save_addons" class="button button-primary" value="<?php _e('Save', 'swretail'); ?>">
        </div>
    </div>
</form>


<?php

// $prods_need_update = [];
// foreach($example_csv as $key => $data){

//     $meta = $wpdb->get_row("SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '".$swretail_addons['external_stock']['woocommerce_pid_metafield']."' AND meta_value = '".$data[$swretail_addons['external_stock']['csv_pid_column']]. "'");
//     if(!is_null($meta)){
//         // var_dump($data[$swretail_addons['external_stock']['csv_stock_column']]);
//         if(isset($meta->post_id) && $meta->post_id != 0){
//             $prod_id = $meta->post_id;

//             if( get_post_meta($prod_id,'_sw_external_stock',true) != $data[$swretail_addons['external_stock']['csv_stock_column']] ){
//                 update_post_meta($prod_id,'_sw_external_stock',$data[$swretail_addons['external_stock']['csv_stock_column']]);
//                 // TODO: trigger SW product update
//                 $prods_need_update[] = get_post_meta($prod_id,'_sw_article_id',true);
//             }            
//             update_post_meta($prod_id,'_sw_external_stock_updated',current_time('timestamp'));
//         }
//     }

// }

?>


<pre>
    <table>
    <?php
        if(isset($swretail_addons['external_stock']['type']) && $swretail_addons['external_stock']['type'] == 'xml'){
            echo '<tr>';
            foreach($example_csv[0] as $key => $row){
                echo '<td>'.$key.'</td>';
            }
            echo '</tr>';
        }
        foreach($example_csv as $key => $row){
            echo '<tr>';
            foreach($row as $value){
                echo '<td>'.$value.'</td>';
            }
            echo '</tr>';
        }
    ?>
    </table>
</pre>
